discreteRoot {BuyseTest} | R Documentation

## Dichotomic search for monotone function

### Description

Find the root of a monotone function on a discrete grid of value using dichotomic search

### Usage

    discreteRoot(fn, grid, increasing = TRUE, check = TRUE,
      tol = .Machine$double.eps^0.5)

### Arguments

`fn` | [function] objective function to minimize in absolute value.
`grid` | [vector] possible minimizers.
`increasing` | [logical] is the function fn increasing?
`check` | [logical] should the program check that fn takes a different sign for the first vs. the last value of the grid?
`tol` | [numeric] the absolute convergence tolerance.

[Package BuyseTest version 1.7 Index]